Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.voyant.travel/data/air/v1/airlines/{iata} \ --header 'Authorization: Bearer <token>'
{ "data": { "iataCode": "BA", "name": "British Airways", "active": true, "lastUpdated": "2023-11-07T05:31:56Z", "icaoCode": "BAW", "alias": "<string>", "callsign": "SPEEDBIRD", "countryIso2": "GB", "countryName": "United Kingdom", "logoUrl": "<string>" } }
Fetch a single airline by IATA code. Requires scope data:air:read.
data:air:read
Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.
Authorization: Bearer <token>
Airline
Show child attributes